=== debian/changelog ===
libwyliodrin (2.3-1) trusty; urgency=low

  * Initial release

 -- Razvan MATEI <matei.rm94@gmail.com>  Fri, 11 Mar 2016 09:39:52 +0000
