## libwyliodrin 2.4-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 # Version
 set (VERSION_MAJOR 2)
-set (VERSION_MINOR 3)
+set (VERSION_MINOR 4)
 
 # Configuration file
 configure_file (
@@ -33,7 +33,7 @@
 
 # Options
 option (RASPBERRYPI "Build for the RaspberryPi."   OFF)
-option (DEVICEINTEL     "Build for the Intel Galileo." OFF)
+option (DEVICEINTEL "Build for the Intel Galileo." OFF)
 option (BEAGLEBONE  "Build for the Beaglebone."    OFF)
 option (REDPITAYA   "Build for the RedPitaya."     OFF)
 option (UDOONEO     "Build for the UDOO NEO."      OFF)
@@ -42,6 +42,8 @@
 # Option management
 if (DEVICEINTEL)
   add_definitions (-DDEVICEINTEL)
+  add_definitions ("-DSWIG_V8_VERSION=0x040567")
+  add_definitions ("-std=c++11")
   pkg_check_modules (MRAA REQUIRED mraa>=0.4.0)
   message (INFO "found libmraa version: ${MRAA_VERSION}")
   set(FLAGS "-DDEVICEINTEL")
@@ -71,6 +73,8 @@
 
 elseif (UDOONEO)
   add_definitions (-DUDOONEO)
+  add_definitions ("-DSWIG_V8_VERSION=0x040655")
+  add_definitions ("-std=c++11")
   set(FLAGS "-DUDOONEO")
 
 elseif (SERVER)
@@ -81,8 +85,7 @@
   message (FATAL_ERROR "You need to choose between -DRASPBERRYPI=ON, -DGALILEO=ON, -DEDISON=ON, -DBEAGLEBONE=ON, -DREDPITAYA=ON, -DUDOONEO=ON or -DSERVER=ON")
 endif ()
 
-
-add_definitions ("-Wall -DDEBUG -DSWIG_V8_VERSION=0x032873")
+add_definitions ("-Wall -DDEBUG")
 
 include_directories (${PROJECT_BINARY_DIR})
