=== languages/nodejs/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
-find_path (NODE_ROOT_DIR "node/node.h" "nodejs/node.h")
+find_path (NODE_ROOT_DIR NAMES "node/node.h" "nodejs/node.h" "nodejs/src/node.h")
 
 set (NODE_INCLUDE_DIRS
   ${NODE_ROOT_DIR}/node
   ${NODE_ROOT_DIR}/nodejs
+  ${NODE_ROOT_DIR}/nodejs/src
 )
 
 include_directories (
