=== debian/changelog ===
libwyliodrin (2.4-1) trusty; urgency=low

  * Add dependencies and change node version

 -- Razvan MATEI <matei.rm94@gmail.com>  Tue, 26 Apr 2016 09:39:52 +0000
