=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
 Package: libwyliodrin-dev
 Section: libdevel
 Architecture: any
-Depends: libwyliodrin (= ${binary:Version})
+Depends: libwyliodrin (= ${binary:Version}), ${misc:Depends}, nodejs, libhiredis-dev, libevent-dev, python-dev, nodejs-dev, libi2c-dev, python-redis
 Description: libwyliodrin dev
 
 Package: libwyliodrin
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: libwyliodrin
